Package org.apache.sysds.runtime.instructions.spark.functions

# Class PerformGroupByAggInReducer

java.lang.Object
org.apache.sysds.runtime.instructions.spark.functions.PerformGroupByAggInReducer

All Implemented Interfaces:
  `Serializable`, `org.apache.spark.api.java.function.Function<Iterable<WeightedCell>,WeightedCell>`

public class PerformGroupByAggInReducer extends Object implements org.apache.spark.api.java.function.Function<Iterable<WeightedCell>,WeightedCell>

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`PerformGroupByAggInReducer(Operator op)`

## Method Summary

Modifier and Type
Method
Description
`WeightedCell`
`call(Iterable<WeightedCell> kv)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PerformGroupByAggInReducer

public PerformGroupByAggInReducer(Operator op)

## Method Details

### call

public WeightedCell call(Iterable<WeightedCell> kv) throws Exception

Specified by:
  `call` in interface `org.apache.spark.api.java.function.Function<Iterable<WeightedCell>,WeightedCell>`
Throws:
  `Exception`